SDL_GPUVertexAttribute Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

Uint32 | location
Uint32 | buffer_slot
SDL_GPUVertexElementFormat | format
Uint32 | offset

## Detailed Description

A structure specifying a vertex attribute.

All vertex attribute locations provided to an SDL_GPUVertexInputState must be unique.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUVertexBufferDescription
  SDL_GPUVertexInputState
  SDL_GPUVertexElementFormat

Definition at line 1664 of file SDL_gpu.h.

## Field Documentation

## buffer_slot

Uint32 SDL_GPUVertexAttribute::buffer_slot

The binding slot of the associated vertex buffer.

Definition at line 1667 of file SDL_gpu.h.

## format

SDL_GPUVertexElementFormat SDL_GPUVertexAttribute::format

The size and type of the attribute data.

Definition at line 1668 of file SDL_gpu.h.

## location

Uint32 SDL_GPUVertexAttribute::location

The shader input location index.

Definition at line 1666 of file SDL_gpu.h.

## offset

Uint32 SDL_GPUVertexAttribute::offset

The byte offset of this attribute relative to the start of the vertex element.

Definition at line 1669 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h